Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KickLoggerSymbols Class Reference

The Xabsl2 symbols that are defined in "kick-logger-symbols.xml". More...

`#include <KickLoggerSymbols.h>`

Inheritance diagram for KickLoggerSymbols:

[legend]
Collaboration diagram for KickLoggerSymbols:

[legend]
List of all members.

## Public Member Functions
| KickLoggerSymbols (BehaviorControlInterfaces &interfaces)
void | registerSymbols (Xabsl2Engine &engine)
| registers the symbols at an engine
void | update ()
| updates the symbols
## Private Member Functions
Vector2< int > | getBallPosition ()
bool | kickLoggerSave ()
bool | kickLoggerSetBeforeState ()
bool | kickLoggerSetExecuteState ()
bool | kickLoggerSetAfterStateAndCommit ()
double | getWalktoTargetX ()
double | getWalktoTargetY ()
double | getWalktoTargetR ()
void | generateWalktoTarget ()
bool | doExecute ()
bool | isNear ()
double | getTriggerX ()
bool | ballHasStopped ()
double | getKick ()
double | getPropagatedRelativeX ()
bool | ballOutsideArea ()
bool | ceilCamActive ()
## Private Attributes
GT2005KickLogger | kickLogger
GT2005KickRecord | currentRecord
double | walktoRotation
Vector2< double > | executeTarget
Vector2< double > | walktoTarget
bool | walktoTargetGenerated
Vector2< double > | lastCeilCamBallPosition
long | lastCeilCamBallPositionTime
Vector2< double > | lastCeilCamData
int | lastCeilCamDataCount
int | executeCounter

## Detailed Description

The Xabsl2 symbols that are defined in "kick-logger-symbols.xml".

Author:
  Carsten Schumann

Definition at line 23 of file KickLoggerSymbols.h.

## Constructor & Destructor Documentation

KickLoggerSymbols::KickLoggerSymbols | ( | BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 11 of file KickLoggerSymbols.cpp.

## Member Function Documentation

void KickLoggerSymbols::registerSymbols | ( | Xabsl2Engine & | engine | ) |

| registers the symbols at an engine Definition at line 17 of file KickLoggerSymbols.cpp. References ballHasStopped(), ballOutsideArea(), ceilCamActive(), doExecute(), getKick(), getPropagatedRelativeX(), getTriggerX(), getWalktoTargetR(), getWalktoTargetX(), getWalktoTargetY(), isNear(), kickLoggerSave(), kickLoggerSetAfterStateAndCommit(), kickLoggerSetBeforeState(), kickLoggerSetExecuteState(), Xabsl2Symbols::registerBooleanInputSymbol(), and Xabsl2Symbols::registerDecimalInputSymbol(). Referenced by GT2005BehaviorControl::registerSymbolsAndBasicBehaviors().

Here is the call graph for this function:

void KickLoggerSymbols::update | ( |  | ) |

| updates the symbols USE CEILING CAM if ( (this->gtCamWorldState.getBallModel().seen.positionField.x != 0) || (this->gtCamWorldState.getBallModel().seen.positionField.y != 0)){ this->lastCeilCamBallPosition.x=this->gtCamWorldState.getBallModel().seen.positionField.x; this->lastCeilCamBallPosition.y=this->gtCamWorldState.getBallModel().seen.positionField.y; this->lastCeilCamBallPositionTime=SystemCall::getCurrentSystemTime(); if ((this->gtCamWorldState.getBallModel().seen.positionField.x == this->lastCeilCamData.x) && (this->gtCamWorldState.getBallModel().seen.positionField.y == this->lastCeilCamData.y)) { this->lastCeilCamDataCount++; } else { this->lastCeilCamDataCount=0; this->lastCeilCamData.x=this->gtCamWorldState.getBallModel().seen.positionField.x; this->lastCeilCamData.y=this->gtCamWorldState.getBallModel().seen.positionField.y; } } Definition at line 54 of file KickLoggerSymbols.cpp. References BallModel::ballWasSeen, SystemCall::getCurrentSystemTime(), lastCeilCamBallPosition, lastCeilCamBallPositionTime, lastCeilCamData, lastCeilCamDataCount, BallState::positionField, BallModel::seen, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005BehaviorControl::execute().

Here is the call graph for this function:

Vector2< int > KickLoggerSymbols::getBallPosition | ( |  | ) | `[private]`

| Definition at line 280 of file KickLoggerSymbols.cpp. References SystemCall::getCurrentSystemTime(), lastCeilCamBallPosition, lastCeilCamBallPositionTime, Vector2< double >::x, and Vector2< double >::y. Referenced by kickLoggerSetAfterStateAndCommit(), kickLoggerSetBeforeState(), and kickLoggerSetExecuteState().

Here is the call graph for this function:

bool KickLoggerSymbols::kickLoggerSave | ( |  | ) | `[private]`

| Definition at line 115 of file KickLoggerSymbols.cpp. References idText, OUTPUT, and GT2005KickLogger::save(). Referenced by registerSymbols().

Here is the call graph for this function:

bool KickLoggerSymbols::kickLoggerSetBeforeState | ( |  | ) | `[private]`

| Definition at line 184 of file KickLoggerSymbols.cpp. References GT2005KickRecord::before_ball_translation, GT2005KickRecord::before_robot_rotation, GT2005KickRecord::before_robot_translation, currentRecord, getBallPosition(), idText, OUTPUT, toDegrees(), Pose2D::translation, walktoTargetGenerated, Vector2< double >::x, Vector2< int >::x, Vector2< double >::y, and Vector2< int >::y. Referenced by registerSymbols().

Here is the call graph for this function:

bool KickLoggerSymbols::kickLoggerSetExecuteState | ( |  | ) | `[private]`

| Definition at line 206 of file KickLoggerSymbols.cpp. References currentRecord, MotionInfo::executedMotionRequest, Geometry::fieldCoord2Relative(), getBallPosition(), idText, OUTPUT, BallState::positionField, BallModel::propagated, Pose2D::rotation, toDegrees(), Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, GT2005KickRecord::while_ball_relative_translation, GT2005KickRecord::while_ball_translation, GT2005KickRecord::while_robot_rotation, GT2005KickRecord::while_robot_speed, GT2005KickRecord::while_robot_translation, Vector3< int >::x, Vector2< double >::x, Vector2< int >::x, Vector3< int >::y, Vector2< double >::y, Vector2< int >::y, and Vector3< int >::z. Referenced by registerSymbols().

Here is the call graph for this function:

bool KickLoggerSymbols::kickLoggerSetAfterStateAndCommit | ( |  | ) | `[private]`

| Definition at line 240 of file KickLoggerSymbols.cpp. References Vector2< V >::abs(), GT2005KickLogger::addResult(), GT2005KickRecord::after_ball_translation, GT2005KickRecord::after_robot_rotation, GT2005KickRecord::after_robot_translation, Vector2< V >::angle(), GT2005KickRecord::before_ball_translation, currentRecord, GT2005KickRecord::direction, GT2005KickRecord::distance, getBallPosition(), idText, OUTPUT, toDegrees(), Pose2D::translation, GT2005KickRecord::while_robot_rotation, Vector2< double >::x, Vector2< int >::x, Vector2< double >::y, and Vector2< int >::y. Referenced by registerSymbols().

Here is the call graph for this function:

double KickLoggerSymbols::getWalktoTargetX | ( |  | ) | `[private]`

| Definition at line 122 of file KickLoggerSymbols.cpp. References generateWalktoTarget(), walktoTarget, walktoTargetGenerated, and Vector2< double >::x. Referenced by registerSymbols().

Here is the call graph for this function:

double KickLoggerSymbols::getWalktoTargetY | ( |  | ) | `[private]`

| Definition at line 129 of file KickLoggerSymbols.cpp. References generateWalktoTarget(), walktoTarget, walktoTargetGenerated, and Vector2< double >::y. Referenced by registerSymbols().

Here is the call graph for this function:

double KickLoggerSymbols::getWalktoTargetR | ( |  | ) | `[private]`

| Definition at line 136 of file KickLoggerSymbols.cpp. References generateWalktoTarget(), walktoRotation, and walktoTargetGenerated. Referenced by registerSymbols().

Here is the call graph for this function:

void KickLoggerSymbols::generateWalktoTarget | ( |  | ) | `[private]`

| Definition at line 166 of file KickLoggerSymbols.cpp. References currentRecord, executeTarget, idText, OUTPUT, BallState::positionRobot, Geometry::relative2FieldCoord(), BallModel::seen, Pose2D::translation, GT2005KickRecord::trigger_relative, walktoRotation, walktoTarget, walktoTargetGenerated, Vector2< int >::x, Vector2< double >::x, Vector2< int >::y, and Vector2< double >::y. Referenced by getWalktoTargetR(), getWalktoTargetX(), and getWalktoTargetY().

Here is the call graph for this function:

bool KickLoggerSymbols::doExecute | ( |  | ) | `[private]`

| Definition at line 143 of file KickLoggerSymbols.cpp. References executeCounter, executeTarget, Geometry::fieldCoord2Relative(), idText, OUTPUT, BallState::positionField, BallModel::propagated, Vector2< V >::x, Vector2< double >::x, Vector2< V >::y, and Vector2< double >::y. Referenced by registerSymbols().

Here is the call graph for this function:

bool KickLoggerSymbols::isNear | ( |  | ) | `[private]`

| Definition at line 158 of file KickLoggerSymbols.cpp. References Geometry::fieldCoord2Relative(), BallState::positionField, BallModel::propagated, and Vector2< V >::x. Referenced by registerSymbols().

Here is the call graph for this function:

double KickLoggerSymbols::getTriggerX | ( |  | ) | `[private]`

| Definition at line 276 of file KickLoggerSymbols.cpp. References executeTarget, and Vector2< double >::x. Referenced by registerSymbols().

bool KickLoggerSymbols::ballHasStopped | ( |  | ) | `[private]`

| Definition at line 258 of file KickLoggerSymbols.cpp. References Vector2< double >::abs(), BallModel::seen, and BallState::speedField. Referenced by registerSymbols().

Here is the call graph for this function:

double KickLoggerSymbols::getKick | ( |  | ) | `[private]`

| Definition at line 267 of file KickLoggerSymbols.cpp. Referenced by registerSymbols().

double KickLoggerSymbols::getPropagatedRelativeX | ( |  | ) | `[private]`

| Definition at line 271 of file KickLoggerSymbols.cpp. References Geometry::fieldCoord2Relative(), BallModel::getKnownPosition(), and Vector2< V >::x. Referenced by registerSymbols().

Here is the call graph for this function:

bool KickLoggerSymbols::ballOutsideArea | ( |  | ) | `[private]`

| Definition at line 292 of file KickLoggerSymbols.cpp. Referenced by registerSymbols().

bool KickLoggerSymbols::ceilCamActive | ( |  | ) | `[private]`

| Definition at line 288 of file KickLoggerSymbols.cpp. References lastCeilCamDataCount. Referenced by registerSymbols().

## Member Data Documentation

GT2005KickLogger KickLoggerSymbols::kickLogger`[private]`

| Definition at line 38 of file KickLoggerSymbols.h.

GT2005KickRecord KickLoggerSymbols::currentRecord`[private]`

| Definition at line 40 of file KickLoggerSymbols.h. Referenced by generateWalktoTarget(), kickLoggerSetAfterStateAndCommit(), kickLoggerSetBeforeState(), and kickLoggerSetExecuteState().

double KickLoggerSymbols::walktoRotation`[private]`

| Definition at line 48 of file KickLoggerSymbols.h. Referenced by generateWalktoTarget(), and getWalktoTargetR().

Vector2<double> KickLoggerSymbols::executeTarget`[private]`

| Definition at line 49 of file KickLoggerSymbols.h. Referenced by doExecute(), generateWalktoTarget(), and getTriggerX().

Vector2<double> KickLoggerSymbols::walktoTarget`[private]`

| Definition at line 50 of file KickLoggerSymbols.h. Referenced by generateWalktoTarget(), getWalktoTargetX(), and getWalktoTargetY().

bool KickLoggerSymbols::walktoTargetGenerated`[private]`

| Definition at line 51 of file KickLoggerSymbols.h. Referenced by generateWalktoTarget(), getWalktoTargetR(), getWalktoTargetX(), getWalktoTargetY(), and kickLoggerSetBeforeState().

Vector2<double> KickLoggerSymbols::lastCeilCamBallPosition`[private]`

| Definition at line 56 of file KickLoggerSymbols.h. Referenced by getBallPosition(), and update().

long KickLoggerSymbols::lastCeilCamBallPositionTime`[private]`

| Definition at line 57 of file KickLoggerSymbols.h. Referenced by getBallPosition(), and update().

Vector2<double> KickLoggerSymbols::lastCeilCamData`[private]`

| Definition at line 76 of file KickLoggerSymbols.h. Referenced by update().

int KickLoggerSymbols::lastCeilCamDataCount`[private]`

| Definition at line 77 of file KickLoggerSymbols.h. Referenced by ceilCamActive(), and update().

int KickLoggerSymbols::executeCounter`[private]`

| Definition at line 79 of file KickLoggerSymbols.h. Referenced by doExecute().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005Symbols/KickLoggerSymbols.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005Symbols/KickLoggerSymbols.cpp